# COROSYNC-CFGTOOL

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
SEE ALSO
AUTHOR

## NAME

corosync-cfgtool - An administrative tool for corosync.

## SYNOPSIS

corosync-cfgtool [[-i IP_address] [-b] [-s] [-n] [-R] [-L] [-k nodeid] [-a nodeid] [-h] [-H] [--force]

## DESCRIPTION

corosync-cfgtool A tool for displaying and configuring active parameters within corosync.

## OPTIONS

| -i |  | Finds only information about the specified interface IP address or link id with -s.
| -s |  | Displays the status of the current links on this node for UDP/UDPU, with extended status for KNET. After each link, the nodes on that link are displayed in order with their status, for example there are 3 nodes with KNET transport:

LINK ID 0
addr = 192.168.100.80
status:
nodeid 1: localhost
nodeid 2: connected
nodeid 3: connected

Please note that only one link is returned for a single node cluster configuration, no matter how many links are configured.

-b

Displays the brief status of the current links on this node when used with "-s". If any interfaces are faulty, 1 is returned by the binary. If all interfaces are active 0 is returned to the shell. After each link, the nodes on that link are displayed in order with their status encoded into a single digit, or characters ’n’, ’d’ and ’?’ with special meaning. 1=link enabled, 2=link connected, So a 3 in a node position indicates that the link is both enabled and connected. Status represented by character ’n’ is used for localhost link. Character ’?’ means that Corosync was unable to get status of link from knet (log should contain more information). Character ’d’ shouldn’t appear and it means that Corosync was unable to configure a link and it is result of some error which should have been logged.

The output will be:

LINK ID 0
addr = 192.168.100.80
status = n33

| -n |  | Displays the status of the current nodes in the system with their link status(es).

Local node ID 1, transport knet
nodeid: 2 reachable onwire (min/max/cur): 0, 1, 1
LINK: 0 (192.168.1.101->192.168.1.102) enabled connected mtu: 1397
LINK: 1 (192.168.4.1->192.168.4.2) enabled mtu: 469
LINK: 2 (192.168.9.1->192.168.9.2) enabled mtu: 469

Only reachable nodes are displayed so "reachable" should always be there.
‘onwire’ versions are the knet on-wire versions that are supported/in use (where appropriate).
IP addresses are the local and remote IP addresses (for UDP[U] only the local IP address is shown)
enabled - means the link has been brought up
connected - means that the link is connected to the remote node
dynconnected - is not currently implemented
mtu - shows the size of data packets. Should be the link packet size less a small amount for protocol overheads and encryption

| -R |  | Tell all instances of corosync in this cluster to reload corosync.conf.

Running corosync-cfgtool -R where nodes are running different versions of corosync (including minor versions) is unsupported and may result in undefined behaviour.

| -L |  | Tell corosync to reopen all logging files. In contrast to other subcommands, nothing is displayed on terminal if call is successful.
| -k |  | Kill a node identified by node id.
| -a |  | Display the IP address(es) of a node.
| -h |  | Print basic usage.
| -H |  | Shutdown corosync cleanly on this node. corosync-cfgtool -H will request a shutdown from corosync, which means it will consult any interested daemons before shutting down and the shutdown maybe vetoed if a daemon regards the shutdown as inappropriate. If --force is added to the command line then corosync will shutdown regardless of the daemons’ opinions on the matter.

## SEE ALSO

corosync_overview(7),

## AUTHOR

Angus Salkeld